Subject: [ANCP] Underspecification of Access-Aggregation-Circuit-ID-Binary

From: Tom Taylor <[email-masked]>
Date: Thu, 01 Jul 2010 19:08:27 -0400

The values placed in Access-Aggregation-Circuit-ID-Binary in the base protocol 
spec seem to be slightly underspecified. The text says that each 32-bit word 
captures a 12-bit VLAN identifier. Should it also say that the high-order 20 
bits of the word MUST be set to zero?

The second missing piece is that there is no indication of the order in which 
the identifiers are placed into the TLV. I think we have to do this, given that 
the contents of the TLV will be matched against provisioned values on the NAS or 
AAA server.

Tom Taylor